## org.jfree.chart.axis
Class CyclicNumberAxis.CycleBoundTick

    java.lang.Object
      org.jfree.chart.axis.Tick
          org.jfree.chart.axis.ValueTick
              org.jfree.chart.axis.NumberTick
                  org.jfree.chart.axis.CyclicNumberAxis.CycleBoundTick

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

Enclosing class:
  CyclicNumberAxis

    protected static class CyclicNumberAxis.CycleBoundTick

extends NumberTick

A special Number tick that also hold information about the cycle bound mapping for this tick. This is especially useful for having a tick at each axis end with the cycle bound value. See also isBoundMappedToLastCycle()

See Also:
  Serialized Form

Field Summary
`boolean` `mapToLastCycle` Map to last cycle.

Constructor Summary
`CyclicNumberAxis.CycleBoundTick(boolean mapToLastCycle, java.lang.Number number, java.lang.String label, float anchorX, float anchorY, org.jfree.ui.TextAnchor textAnchor, org.jfree.ui.TextAnchor rotationAnchor, double angle)` Creates a new tick.

Method Summary

Methods inherited from class org.jfree.chart.axis.NumberTick
`getNumber`

Methods inherited from class org.jfree.chart.axis.ValueTick
`equals, getValue`

Methods inherited from class org.jfree.chart.axis.Tick
`clone, getAngle, getRotationAnchor, getText, getTextAnchor, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### mapToLastCycle

    public boolean mapToLastCycle

  Map to last cycle.

Constructor Detail

### CyclicNumberAxis.CycleBoundTick

    public CyclicNumberAxis.CycleBoundTick(boolean mapToLastCycle,
                                           java.lang.Number number,
                                           java.lang.String label,
                                           float anchorX,
                                           float anchorY,
                                           org.jfree.ui.TextAnchor textAnchor,
                                           org.jfree.ui.TextAnchor rotationAnchor,
                                           double angle)

  Creates a new tick.

  Parameters:
    `mapToLastCycle` - map to last cycle?
    `number` - the number.
    `label` - the label.
    `anchorX` - the anchor x-value.
    `anchorY` - the anchor y-value.
    `textAnchor` - the text anchor.
    `rotationAnchor` - the rotation anchor.
    `angle` - the rotation angle.